We are aware that Order forecast for WM Weeks 40-52 for FYE 27 and WM Weeks FYE 28 is incomplete or missing. Our Data teams are working to resolve on priority and we will share more information shortly..
Due to an ongoing issue, the availability of data assets is currently delayed. Our team is actively working to resolve the issue and restore access as quickly as possible. We appreciate your patience and understanding.
On September 18, users may experience delays in receiving Store Inventory (catman) data, potentially resulting in an SLA miss. We are aware of the delay and our team is working to resolve it. We apologize for the inconvenience.
Hierarchy changes are now reflected across the Data Access and Collaboration portfolio. If you have any pre-built reports utilizing hierarchy filters, you may need to clear these filters and recreate them with the new hierarchies.
Please submit requests via a support ticket to get historical UPC Sales to reflect hierarchy changes in Shopper Behavior. You can submit a ticket for these August changes beginning on Monday, August 24.
Hierarchy changes are now reflected across the Data Access and Collaboration portfolio. If you have any pre-built reports utilizing hierarchy filters, you may need to clear these filters and recreate them with the new hierarchies.
Please submit requests via a support ticket to get historical UPC Sales to reflect hierarchy changes in Shopper Behavior. You can submit a ticket for these August changes beginning on Monday, August 24.
Hierarchy changes are now reflected across the Data Access and Collaboration portfolio.
Please submit requests via a support ticket to get the updated item hierarchy. You can submit a ticket for these August changes on or after Tuesday, August 11.
We will restate corrected Markup Markdown Board data this weekend. The restated records will flow through incremental updates to both Data Feeds and Cloud Feeds, which may update values previously received. Please ensure downstream processes are prepared to consume these incrementals. We will update this notice when the restatement is complete.
We are aware of a data issue with RFID Tag Part table. We are working to fix the issue.
Service Advisory: Cloud Feeds, Data feeds Pipeline Delay We are currently experiencing an infrastructure issue impacting Cloud Feeds and Data feeds data pipelines due to a constraint within our platform. As a result, there may be delays in data availability and refreshes. We are actively engaging and working toward resolution. We will provide updates as additional information becomes available.
We have become aware that there is missing store sales data for May 26, 2026. This missing data is impacting Scintilla suppliers and the category advisor persona who rely on headless access (Cloud Feeds, Data Feeds API and Scintilla Media Data Feed). Our team investigated the issue and resolved it as of 11:30 am CT this morning. Report Builder is unaffected and has all sales data for May 26, 2026. Please see the next steps below on how to restore missing sales data. Data Feeds API: The historical file for the affected May 26 store sales data will be made available, and suppliers will need to manually consume it to recover the missing records.
We have become aware that there is missing store sales data for May 26, 2026. This missing data is impacting Scintilla suppliers and the category advisor persona who rely on headless access (Cloud Feeds, Data Feeds API and Scintilla Media Data Feed). Our team investigated the issue and resolved it as of 11:30 am CT this morning. Report Builder is unaffected and has all sales data for May 26, 2026. Please see the next steps below on how to restore missing sales data. Cloud Feeds: The data will be restated and published as an on-demand update in the status table. Suppliers can manually use the status timestamp to read the restated store sales data using CDF. If they do not take manual action today, then it will process automatically tomorrow via the normal CDF process.
The DC Inventory API provides suppliers with near real-time visibility of available inventory at our Walmart Distribution Centers (DCs). Suppliers can use this endpoint to request inventory status information for up to 100 items.
Endpoints
POST
/dc/inventory/status?itemIdentifier=wmItemNbr
Optional Headers
The following optional header keys are available:
Name
Description
Required
Data Type
wm_context_identifier
A Walmart Supplier's unique identifier.
Mandatory for Preferred Service Providers (PSPs) only.
String
Request Body Details
Parameter
Description
Data Type
dcNbr
The valid DC number associated with the requested details.
Integer
values
An array containing the Walmart Item Numbers (wmItemNbr) that uniquely identify the items. A maximum of 100 values can be passed.
Array
Response Details
Parameter
Description
Data Type
supplier
The name of the supplier.
String
dcNbr
The DC number(s) associated with the requested details.
Integer
inventory
The array that will contain the list of items identified and their inventory, by type.
Array
wmItemNbr
The Walmart Item Number that uniquely identifies the items.
String
inventoryType
The type of inventory (ie, promotional inventory as "promo" and regular inventory as "turn").
String
state
The status of the inventory (ie, available). See Inventory States below for more information.
String
quantity
The number of items that are currently available at DC level.
Double
lastUpdatedTime
Latest time when the data was updated. Timestamp is specified in ISO format (YYYY-MM-DDTHH24:MM:SS), in UTC timezone.
Date
qtyUom
The quantity unit of measure. Example: EA (eaches)
String
errors
The array that will contain the list of values with their corresponding error message and Tmestamp.
Array
Inventory States
Parameter
Description
ONORDER
A PO has been created by OMS to meet inventory demand.
AVAILABLE
Inventory that is available at the DC.
HOLD
Inventory that has been placed on hold in the DC due to damage or expiration.
WIP
Indicates items that are in progress (not yet ready). For example, bananas that are waiting to ripen.
REQUESTED
Inventory that has been requested for a store from the DC.
ALLOCATED
Inventory at the DC that has been allocated for a replenishment order.
PICKED
Inventory at the DC that has been picked for a particluar store.
INTRANSIT
Inventory that has been shipped from one DC to another DC.